Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Interface ToolkitConstants

All Known Implementing Classes:
  JNDIHelper, WebLogicHelper

public interface ToolkitConstants

Toolkit specific constants.

Field Summary
`static int` | `DEFAULT_ID_CACHE` The default cache size for ids.
`static String` | `DEFAULT_ID_PROCEDURE` The default property value for the 'sequence' stored procedure.
`static String` | `DEFAULT_JDBC_POOL_NAME` Default JDBC Connection pool value.
`static String` | `DEFAULT_JTS_POOL_NAME` Default JDBC Connection pool value.
`static int` | `DEFAULT_LOGGING_LEVEL` The defeault logging level.
`static String` | `DEFAULT_WEBLOGIC_HOST` The default system property value for the weblogic host.
`static String` | `DEFAULT_WEBLOGIC_PORT` The default system property value for the weblogic port.
`static String` | `ID_CACHE` The cache size for ids property name.
`static String` | `ID_PROCEDURE` The property name for the 'sequence' stored procedure.
`static String` | `JDBC_POOL_NAME` JDBC Connection pool property name.
`static String` | `JTS_POOL_NAME` JDBC Connection pool property name.
`static int` | `LOG_DEBUG` Debugging logging level.
`static int` | `LOG_ERROR` Error logging level.
`static int` | `LOG_FATAL` Fatal logging level.
`static int` | `LOG_INFO` Informational logging level.
`static int` | `LOG_SECURITY` Security logging level.
`static int` | `LOG_WARNING` Warning logging level.
`static String` | `LOGGING_LEVEL` The property for determining the minimum logging level.
`static String` | `WEBLOGIC_HOST` System property name for the weblogic host.
`static String` | `WEBLOGIC_PORT` System property name for the weblogic port.

Field Detail

### DEFAULT_ID_CACHE

    public static final int DEFAULT_ID_CACHE

  The default cache size for ids.

  See Also:
    Constant Field Values

### DEFAULT_ID_PROCEDURE

    public static final String DEFAULT_ID_PROCEDURE

  The default property value for the 'sequence' stored procedure.

  See Also:
    Constant Field Values

### DEFAULT_JDBC_POOL_NAME

    public static final String DEFAULT_JDBC_POOL_NAME

  Default JDBC Connection pool value.

  See Also:
    Constant Field Values

### DEFAULT_JTS_POOL_NAME

    public static final String DEFAULT_JTS_POOL_NAME

  Default JDBC Connection pool value.

  See Also:
    Constant Field Values

### DEFAULT_LOGGING_LEVEL

    public static final int DEFAULT_LOGGING_LEVEL

  The defeault logging level.

  See Also:
    Constant Field Values

### DEFAULT_WEBLOGIC_HOST

    public static final String DEFAULT_WEBLOGIC_HOST

  The default system property value for the weblogic host.

  See Also:
    Constant Field Values

### DEFAULT_WEBLOGIC_PORT

    public static final String DEFAULT_WEBLOGIC_PORT

  The default system property value for the weblogic port.

  See Also:
    Constant Field Values

### ID_CACHE

    public static final String ID_CACHE

  The cache size for ids property name.

  See Also:
    Constant Field Values

### ID_PROCEDURE

    public static final String ID_PROCEDURE

  The property name for the 'sequence' stored procedure.

  See Also:
    Constant Field Values

### JDBC_POOL_NAME

    public static final String JDBC_POOL_NAME

  JDBC Connection pool property name.

  See Also:
    Constant Field Values

### JTS_POOL_NAME

    public static final String JTS_POOL_NAME

  JDBC Connection pool property name.

  See Also:
    Constant Field Values

### LOG_DEBUG

    public static final int LOG_DEBUG

  Debugging logging level.

  See Also:
    Constant Field Values

### LOG_ERROR

    public static final int LOG_ERROR

  Error logging level.

  See Also:
    Constant Field Values

### LOG_FATAL

    public static final int LOG_FATAL

  Fatal logging level.

  See Also:
    Constant Field Values

### LOG_INFO

    public static final int LOG_INFO

  Informational logging level.

  See Also:
    Constant Field Values

### LOG_SECURITY

    public static final int LOG_SECURITY

  Security logging level.

  See Also:
    Constant Field Values

### LOG_WARNING

    public static final int LOG_WARNING

  Warning logging level.

  See Also:
    Constant Field Values

### LOGGING_LEVEL

    public static final String LOGGING_LEVEL

  The property for determining the minimum logging level.

  See Also:
    Constant Field Values

### WEBLOGIC_HOST

    public static final String WEBLOGIC_HOST

  System property name for the weblogic host.

  See Also:
    Constant Field Values

### WEBLOGIC_PORT

    public static final String WEBLOGIC_PORT

  System property name for the weblogic port.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved